Uploaded image for project: 'Keycloak'
  1. Keycloak
  2. KEYCLOAK-18342

Remove usage of depricated java.security.acl APIs

    XMLWordPrintable

    Details

    • Steps to Reproduce:
      Hide

      Make sure the latest java version is installed.

      Run mvn clean install -DskipTests=true

      Show
      Make sure the latest java version is installed. Run mvn clean install -DskipTests=true
    • Docs QE Status:
      NEW
    • QE Status:
      NEW

      Description

      The deprecated java.security.acl APIs were marked for removal and have now been removed in JDK 14.

      Reference exist in KeycloakLoginModule of the spring-boot-container-bundle.

      [ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.8.1-jboss-1:compile (default-compile) on project keycloak-jboss-adapter-core: Compilation failure: Compilation failure:
      [ERROR] /C:/Users/wvl/source/repos/keycloak/adapters/spi/jboss-adapter-core/src/main/java/org/keycloak/adapters/jboss/KeycloakLoginModule.java:[39,8] cannot access java.security.acl.Group
      [ERROR] class file for java.security.acl.Group not found
      [ERROR] /C:/Users/wvl/source/repos/keycloak/adapters/spi/jboss-adapter-core/src/main/java/org/keycloak/adapters/jboss/KeycloakLoginModule.java:[85,29] getRoleSets() in org.keycloak.adapters.jboss.KeycloakLoginModule cannot override getRoleSets() in org.jboss.security.auth.spi.AbstractServerLoginModule
      [ERROR] return type org.jboss.security.SimpleGroup[] is not compatible with java.security.acl.Group[]
      [ERROR] /C:/Users/wvl/source/repos/keycloak/adapters/spi/jboss-adapter-core/src/main/java/org/keycloak/adapters/jboss/KeycloakLoginModule.java:[84,5] method does not override or implement a method from a supertype
      [ERROR] -> [Help 1]
      [ERROR]
      [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
      [ERROR] Re-run Maven using the -X switch to enable full debug logging.
      [ERROR]
      [ERROR] For more information about the errors and possible solutions, please read the following articles:
      [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoFailureException
      [ERROR]
      [ERROR] After correcting the problems, you can resume the build with the command
      [ERROR] mvn <args> -rf :keycloak-jboss-adapter-core 

       

      build ran with java version:

      java version "15.0.1" 2020-10-20
      Java(TM) SE Runtime Environment (build 15.0.1+9-18)
      Java HotSpot(TM) 64-Bit Server VM (build 15.0.1+9-18, mixed mode, sharing)

       

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned Unassigned
              Reporter:
              wim07101993 Wim Van Laer
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated: